wibble::RangeIterator< R > Struct Template Reference

`#include <range.h>`

Inheritance diagram for wibble::RangeIterator< R >:
[legend]
Collaboration diagram for wibble::RangeIterator< R >:
[legend]

## Classes

struct | Proxy

## Public Types

typedef R::ElementType | T
typedef std::forward_iterator_tag | iterator_category
typedef T | value_type
typedef ptrdiff_t | difference_type
typedef T * | pointer
typedef T & | reference
typedef const T & | const_reference

## Public Member Functions

| RangeIterator ()
| RangeIterator (const R &r)
Proxy | operator-> () const
RangeIterator | next () const
R::ElementType | operator* () const
R::ElementType | current () const
RangeIterator & | operator++ ()
RangeIterator | operator++ (int)
bool | operator<= (const RangeIterator &r) const
Public Member Functions inherited from wibble::mixin::Comparable< RangeIterator< R > >
const RangeIterator< R > & | cmpSelf () const
bool | operator!= (const RangeIterator< R > &o) const
bool | operator== (const RangeIterator< R > &o) const
bool | operator< (const RangeIterator< R > &o) const
bool | operator> (const RangeIterator< R > &o) const
bool | operator>= (const RangeIterator< R > &o) const

## Protected Attributes

R | m_range

## Member Typedef Documentation

## const_reference

template<typename R >

typedef const T& wibble::RangeIterator< R >::const_reference

## difference_type

template<typename R >

typedef ptrdiff_t wibble::RangeIterator< R >::difference_type

## iterator_category

template<typename R >

typedef std::forward_iterator_tag wibble::RangeIterator< R >::iterator_category

## pointer

template<typename R >

typedef T* wibble::RangeIterator< R >::pointer

## reference

template<typename R >

typedef T& wibble::RangeIterator< R >::reference

## T

template<typename R >

typedef R::ElementType wibble::RangeIterator< R >::T

## value_type

template<typename R >

typedef T wibble::RangeIterator< R >::value_type

## Constructor & Destructor Documentation

## RangeIterator() [1/2]

template<typename R >

wibble::RangeIterator< R >::RangeIterator | ( |  | ) |

inline

## RangeIterator() [2/2]

template<typename R >

wibble::RangeIterator< R >::RangeIterator | ( | const R & | r | ) |

inline

## Member Function Documentation

## current()

template<typename R >

R::ElementType wibble::RangeIterator< R >::current | ( |  | ) | const

inline

## next()

template<typename R >

RangeIterator wibble::RangeIterator< R >::next | ( |  | ) | const

inline

## operator*()

template<typename R >

R::ElementType wibble::RangeIterator< R >::operator* | ( |  | ) | const

inline

References wibble::RangeIterator< R >::m_range.

## operator++() [1/2]

template<typename R >

RangeIterator& wibble::RangeIterator< R >::operator++ | ( |  | ) |

inline

References wibble::RangeIterator< R >::m_range.

## operator++() [2/2]

template<typename R >

RangeIterator wibble::RangeIterator< R >::operator++ | ( | int |  | ) |

inline

References wibble::RangeIterator< R >::m_range.

## operator->()

template<typename R >

Proxy wibble::RangeIterator< R >::operator-> | ( |  | ) | const

inline

References wibble::RangeIterator< R >::Proxy::Proxy().

## operator<=()

template<typename R >

bool wibble::RangeIterator< R >::operator<= | ( | const RangeIterator< R > & | r | ) | const

inline

References wibble::RangeIterator< R >::m_range.

## Member Data Documentation

## m_range

template<typename R >

R wibble::RangeIterator< R >::m_range

protected

Referenced by wibble::FilteredRange< R, Pred >::find(), wibble::UniqueRange< T >::find(), wibble::UniqueRange< T >::head(), wibble::TransformedRange< Transform >::head(), wibble::RangeIterator< R >::operator*(), wibble::RangeIterator< R >::operator++(), wibble::RangeIterator< R >::operator<=(), wibble::UniqueRange< T >::operator<=(), wibble::TransformedRange< Transform >::operator<=(), wibble::UniqueRange< T >::removeFirst(), wibble::TransformedRange< Transform >::removeFirst(), wibble::FilteredRange< R, Pred >::setToEmpty(), wibble::UniqueRange< T >::setToEmpty(), and wibble::TransformedRange< Transform >::setToEmpty().

The documentation for this struct was generated from the following file:

- range.h